Employees
Create additional compensation
Path Parameters
employee_id*integer
Format
int64Request Body
application/x-www-form-urlencoded
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/public/v3/employees/0/additional_compensations" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d 'starts_on=2019-08-24&amount=string¤cy_code=string&description=string'{ "data": { "id": 0, "type": "string", "description": "string", "amount": "string", "currency_code": "string", "starts_on": "2019-08-24", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "compensation_type": { "id": 0, "name": "string" }, "frequency": "string", "ends_on": "2019-08-24", "compensation_component": { "id": 0, "name": "string", "code": "string", "payout_type": "string", "frequency": "string" }, "custom_fields": { "property1": { "name": "string", "value": "string" }, "property2": { "name": "string", "value": "string" } } }}